Loading...
Searching...
No Matches
rcv_endpoint.h File Reference

Receive endpoint C interface. More...

`#include <l4/sys/utcb.h>`
`#include <l4/sys/types.h>`
`#include <l4/sys/ipc.h>`
Include dependency graph for rcv_endpoint.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | L4_rcv_ep_ops { L4_RCV_EP_BIND_OP = 0x10 }
| Receive endpoint operations. More...

## Functions

l4_msgtag_t | l4_rcv_ep_bind_thread (l4_cap_idx_t ep, l4_cap_idx_t thread, l4_umword_t label)
| Bind the IPC receive endpoint to a thread.
l4_msgtag_t | l4_rcv_ep_bind_snd_destination (l4_cap_idx_t ep, l4_cap_idx_t snd_dst, l4_umword_t label)
| Bind the IPC receive endpoint to a send destination (a thread).

## Detailed Description

Receive endpoint C interface.

Definition in file rcv_endpoint.h.

## Enumeration Type Documentation

## L4_rcv_ep_ops

enum L4_rcv_ep_ops

Receive endpoint operations.

Enumerator
L4_RCV_EP_BIND_OP | Bind to thread or thread group.

Definition at line 93 of file rcv_endpoint.h.